Search data views
Base URL
https://{kibana_url}
GET
/api/data_views/v2
GET
/s/{space_id} /api/data_views/v2
Auth
Stack
Planned
The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.
Availability
Planned
We plan to add this functionality in a future Elastic Stack update. Subject to changes.
Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.
This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Returns a paginated list of the data views in the current space. Each item includes only the name, index pattern, and time field. To get the full definition, use GET /api/data_views/v2/{id}.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
page
number · min: 1 · default: 1
The page of results to return.
per_page
number · min: 1 · max: 1000 · default: 20
The number of results to return per page.
query
string
Filters results by name and index_pattern using Elasticsearch simple_query_string syntax.
data
object [] · max items: 1000
required
−
Hide 3 properties
data
object
required
−
Hide 3 properties
index_pattern
string · min length: 1
required
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
name
string · min length: 1 · max length: 256
The name of the data view. Example: "Sample data view".
time_field
string
The name of the time field in the index. Used for time-based filtering. Example: "@timestamp".
id
string · max length: 1000
required
The ID of the data view.
meta
object
required
−
Hide 8 properties
meta
object
required
−
Hide 3 properties
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/data_views/v2
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/data_views/v2" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
{
"data": [
{
"data": {
"index_pattern": "logs-*",
"name": "Web logs",
"time_field": "@timestamp"
},
"id": "c0ffee00-d57a-11ef-9a52-4f3c2a8d0e1b",
"meta": {
"created_at": "2026-01-15T10:00:00.000Z",
"created_by": "u_mGBROF_q5bmFCATbLXAcCwKa0k8JvONAwSruelyKA5E_0",
"managed": false,
"spaces": [
"default"
],
"updated_at": "2026-01-16T08:30:00.000Z",
"updated_by": "u_mGBROF_q5bmFCATbLXAcCwKa0k8JvONAwSruelyKA5E_0",
"version": "WzIsMV0="
}
},
{
"data": {
"index_pattern": "metrics-*",
"name": "Metrics"
},
"id": "a1b2c3d4-d57a-11ef-9a52-4f3c2a8d0e1b",
"meta": {
"created_at": "2026-01-15T11:00:00.000Z",
"managed": false,
"spaces": [
"default"
],
"updated_at": "2026-01-15T11:00:00.000Z",
"version": "WzMsMV0="
}
}
],
"meta": {
"page": 1,
"per_page": 20,
"total": 2
}
}